﻿CREATE TABLE [dbo].[CompanySegmentInformation_Old] (
    [Id]                      UNIQUEIDENTIFIER NOT NULL,
    [CompanyId]               UNIQUEIDENTIFIER NOT NULL,
    [CurrencyId]              UNIQUEIDENTIFIER NOT NULL,
    [ValueConversionId]       UNIQUEIDENTIFIER NOT NULL,
    [CompanyName]             NVARCHAR (256)   NOT NULL,
    [Currency]                NVARCHAR (256)   NULL,
    [Units]                   NVARCHAR (256)   NULL,
    [Year]                    INT              NOT NULL,
    [Segment1]                NVARCHAR (255)   NULL,
    [Segment2]                NVARCHAR (255)   NULL,
    [Segment3]                NVARCHAR (255)   NULL,
    [Segment4]                NVARCHAR (255)   NULL,
    [Segment5]                NVARCHAR (255)   NULL,
    [TotalReportableSegments] NVARCHAR (255)   NULL,
    [Geography1]              NVARCHAR (255)   NULL,
    [Geography2]              NVARCHAR (255)   NULL,
    [Geography3]              NVARCHAR (255)   NULL,
    [Geography4]              NVARCHAR (255)   NULL,
    [Geography5]              NVARCHAR (255)   NULL,
    [TotalGeographicSegments] NVARCHAR (255)   NULL,
    [CreatedOn]               DATETIME2 (7)    NULL,
    [UserCreatedById]         UNIQUEIDENTIFIER NULL,
    [ModifiedOn]              DATETIME2 (7)    NULL,
    [UserModifiedById]        UNIQUEIDENTIFIER NULL,
    [IsDeleted]               BIT              NOT NULL,
    [DeletedOn]               DATETIME2 (7)    NULL,
    [UserDeletedById]         UNIQUEIDENTIFIER NULL
);

